Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 454682 - ERROR: There is no such extension deployed: com.sun.PresenterScreen-linux_noarch
Summary: ERROR: There is no such extension deployed: com.sun.PresenterScreen-linux_noarch
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 18:03 UTC by Tom London
Modified: 2008-07-19 16:15 UTC (History)
1 user (show)

Fixed In Version: 3.0.0-0.0.25.1.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-19 16:15:51 UTC
Type: ---


Attachments (Terms of Use)

Description Tom London 2008-07-09 18:03:03 UTC
Description of problem:
Get the following on every rawhide update of openoffice.org packages:

  Updating       : openoffice.org-calc-core                      [ 22/167] 
  Updating       : openoffice.org-impress-core                   [ 23/167] 

ERROR: There is no such extension deployed: com.sun.PresenterScreen-linux_noarch

unopkg failed.
  Updating       : openoffice.org-presenter-screen               [ 24/167] 
Extension has already been added: com.sun.PresenterScreen-linux_x86
  Updating       : openoffice.org-writer-core   

Can't seem to remove presenter-screen package as it is a requrement of impress.

Version-Release number of selected component (if applicable):
openoffice.org-presenter-screen-3.0.0-0.0.23.1.fc10.i386
openoffice.org-writer-3.0.0-0.0.23.1.fc10.i386
openoffice.org-brand-3.0.0-0.0.23.1.fc10.i386
openoffice.org-math-3.0.0-0.0.23.1.fc10.i386
openoffice.org-core-3.0.0-0.0.23.1.fc10.i386
openoffice.org-graphicfilter-3.0.0-0.0.23.1.fc10.i386
openoffice.org-writer2latex-0.5-3.fc10.i386
openoffice.org-writer-core-3.0.0-0.0.23.1.fc10.i386
openoffice.org-impress-3.0.0-0.0.23.1.fc10.i386
openoffice.org-draw-core-3.0.0-0.0.23.1.fc10.i386
openoffice.org-draw-3.0.0-0.0.23.1.fc10.i386
openoffice.org-calc-core-3.0.0-0.0.23.1.fc10.i386
openoffice.org-ure-3.0.0-0.0.23.1.fc10.i386
openoffice.org-xsltfilter-3.0.0-0.0.23.1.fc10.i386
openoffice.org-math-core-3.0.0-0.0.23.1.fc10.i386
openoffice.org-calc-3.0.0-0.0.23.1.fc10.i386
openoffice.org-impress-core-3.0.0-0.0.23.1.fc10.i386


How reproducible:
Every update

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Caolan McNamara 2008-07-09 21:58:03 UTC
yeah, I know. Its hard to get the right expansion for the name into the spec. I
argued against this annoying naming scheme and it has burnt me a bit trying to
get it right. Hoping that the next spin >= 23.2 will solve this

Comment 2 Tom London 2008-07-14 16:03:33 UTC
I believe I get an error message during yum update that complains about missing '"'.

Here is the output when I run "rpm -Uvh --force .....":

[root@localhost packages]# rpm -Uvh --force *present*
Preparing...                ########################################### [100%]
/var/tmp/rpm-tmp.31590: command substitution: line 3: unexpected EOF while
looking for matching `"'
/var/tmp/rpm-tmp.31590: command substitution: line 4: syntax error: unexpected
end of file
   1:openoffice.org-presente########################################### [100%]
Extension has already been added: com.sun.PresenterScreen-linux_x86
[root@localhost packages]# 


Comment 3 Caolan McNamara 2008-07-19 16:15:51 UTC
Fixed in 3.0.0-0.0.25.1.fc10, though note that the m24 one on uninstalling will
probably still warn, but the m25 on installing and from there onwards will be ok


Note You need to log in before you can comment on or make changes to this bug.